#
# Makefile for 'i2c.lib' and 'i2cnb.lib'
#

ASMFLAGS=

.asm.o:
	@Echo "*e[33;1m  Asm -iINCLUDE: $<*e[0m"
	asm -iINCLUDE: $(ASMFLAGS) $*.asm

.c.o:
	@Echo "*e[33;1m  sc NOSTKCHK OPTIMIZE $(CFLAGS) $<*e[0m"
	sc NOSTKCHK OPTIMIZE $*.c

OBJS = AllocI2c.o FreeI2C.o SetDelay.o InitI2c.o SendI2c.o ReceiveI2c.o AutoOpen_I2C.o

i2c.lib: $(OBJS)
	oml i2c.lib R $(OBJS)
	@Delete $(OBJS)

i2cnb.lib: $(OBJS)
	oml i2cnb.lib R $(OBJS)
	@Delete $(OBJS)
